function [ im ] = image_loader( file_name )
%IMAGE_LOADER Loads and adjusts images
%
%Written by Omri Perez, 2013, omriperez(at)gmail(dot)com

%load image
im = imread(file_name);
%make it grayscale
if size(im,3)>1
    im = rgb2gray(im);
end
%adjust dynamic range of image and make sure it is in the range [0,1]
im = imadjust(im2double(im));


end

